From b8d51afde9a3c30b4249d69d35a10ec586939f61 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 30 2020 00:01:52 +0000
Subject: [PATCH 1872/2232] Merge pull request #614 from dtolnay/hpp


Recognize .hh and .hpp as header extensions in cxxbridge-cmd
---

diff --git a/gen/cmd/src/main.rs b/gen/cmd/src/main.rs
index 9072e60..e8b6ead 100644
--- a/gen/cmd/src/main.rs
+++ b/gen/cmd/src/main.rs
@@ -69,7 +69,11 @@ fn try_main() -> Result<()> {
     for output in opt.outputs {
         let kind = if opt.input.is_none() {
             Kind::Header
-        } else if opt.header || output.ends_with(".h") {
+        } else if opt.header
+            || output.ends_with(".h")
+            || output.ends_with(".hh")
+            || output.ends_with(".hpp")
+        {
             gen_header = true;
             Kind::GeneratedHeader
         } else {

